@echo off
if "%debug%" == "yes" echo on

:: This program will manually install windows drivers

:: if invoked as 'manwcopy', show syntax

	if "%1" == ""				goto syntax
	if "%2" == ""				goto syntax
	if not exist %1\install.exe		goto baddir
	if not exist %2\win.ini			goto baddir

	copy %1\vpa3dd.386    	%2\system
	copy %1\mcicda.drv   	%2\system
	copy %1\pa3dwave.drv 	%2\system
	copy %1\pa3d401.drv  	%2\system
	copy %1\mvifm.drv  	%2\system
	copy %1\mvifm.pat  	%2\system
	copy %1\pa3dmxd.drv  	%2\system
	copy %1\mmmixer.dll  	%2\system
	copy %1\msmixmgr.dll 	%2\system
	copy %1\midimap.cfg  	%2\system
	copy %1\mv.ini       	%2
	copy %1\findpa3d.dll  	%2\system

	goto quit

:syntax
	echo Syntax: manwcopy targetdir windowsdir
	echo This program will manually copy the files to the windows
	echo directory
	echo Example:  manwcopy c:\medvsn c:\windows
	echo 		where c:\medvsn is the install directory.
	echo 		where c:\windows is the windows directory.
	goto quit

:baddir
	echo Could not locate entered directory

:quit
	

	
	








